<?php
class Mpartners extends Model
{
	function __construct()
	{
		parent::__construct();
	}
	
	
	function lanToString($lanNum)
	{
		
		if($lanNum==0)
		{
			return '-';
		}
		if($lanNum==6)
		{
			return 10;
		}
		if($lanNum==7)
		{
			return 15;
		}
		if($lanNum==8)
		{
			return 20;
		}
		if($lanNum==9)
		{
			return 'N';
		}
		return $lanNum;
	}
	
	function get_mod_name($ID)
	{
        $this->keydb = $this->load->database('hardlock',true);
        
        $query = $this->keydb->select('mdtNameEng')->where('ID',$ID)->get('cl_modultypes');

		if($query->num_rows()==0)
		{
			return false;
		}
		else
		{
			return $query->row();
		}
	}
}